error when installing glibc(builds o.k.)

Carlos O'Donell carlos@systemhalted.org
Sat Sep 4 02:57:00 GMT 2010


On Fri, Sep 3, 2010 at 5:26 PM, Justin Mattock <justinmattock@gmail.com> wrote:
> I seem to be hitting something here(below) Ive built glibc with gcc 4.6.0
> with glibc git two weeks ago without such an error, pulled this morning,
> and am now hitting this is this reported at all or do I have something wrong

I just want to add a warning here, if you are aware of this then you
can ignore the warning:

(a) Installing glibc directly onto your live system is extremely
dangerous and not recommended. Only the most skilled developers should
use "make install".

(b) I recommend installing glibc in a chroot or using fakeroot (may
need to adjust some LD_LIBRARY_PATH or --library-path settings).

Now that the warning has been dispensed...

The perl script test-installation attempts to link a program against
*all* of the newly installed shared libraries. This is failing in your
case. Add some more verbose output in the perl script to see exactly
what it's linking and why it can't find those libraries.

I haven't seen this error before.

Cheers,
Carlos.



More information about the Libc-help mailing list